<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->

    <title>task-manager-client: Files and Libraries</title>

    <!-- Mobile viewport optimized: j.mp/bplateviewport -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">

    <!--custom css for these pages-->
    <link rel="stylesheet" href="css/enunciate.css">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body data-spy="scroll" data-target="#apinav">

<nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container-fluid">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="index.html">task-manager-client: Files and Libraries</a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
            <ul class="nav navbar-nav navbar-right">
                <li><a href="services.html">Services</a></li>
                <li><a href="data.html">Data Types</a></li>
                <li><a href="downloads.html">Files and Libraries</a></li>
            </ul>
        </div>
    </div>
</nav>

<div class="container-fluid">
    <div class="row">
        <div class="col-sm-3 col-md-2 sidebar" id="apinav">
            <ul class="nav nav-sidebar">
                <li><a href="#artifact_c_client_library"><abbr title="C Client Library" class="side-abbr"><span
                        class="sideoverflow">C Client Library</span></abbr></a></li>
                <li><a href="#artifact_csharp_client_library"><abbr title="C# Client Library" class="side-abbr"><span
                        class="sideoverflow">C# Client Library</span></abbr></a></li>
                <li><a href="#artifact_java_xml_client_library"><abbr title="Java XML Client Library" class="side-abbr"><span
                        class="sideoverflow">Java XML Client Library</span></abbr></a></li>
                <li><a href="#artifact_ns0_wsdl"><abbr title="ns0.wsdl" class="side-abbr"><span class="sideoverflow">ns0.wsdl</span></abbr></a>
                </li>
                <li><a href="#artifact_ns0_xsd"><abbr title="ns0.xsd" class="side-abbr"><span class="sideoverflow">ns0.xsd</span></abbr></a>
                </li>
                <li><a href="#artifact_objc_client_library"><abbr title="Objective C Client Library"
                                                                  class="side-abbr"><span class="sideoverflow">Objective C Client Library</span></abbr></a>
                </li>
                <li><a href="#artifact_php_xml_client_library"><abbr title="PHP XML Client Library"
                                                                     class="side-abbr"><span class="sideoverflow">PHP XML Client Library</span></abbr></a>
                </li>
                <li class="divider"></li>
                <li class="text-right"><a href="#top"><small>Back to Top</small></a></li>
            </ul>
        </div>

        <div class="col-sm-9 col-sm-offset-3 col-md-10 col-md-offset-2 main">
            <ol class="breadcrumb" id="top">
                <li class="active dropdown"><a href="index.html">Home</a></li>
                <li class="dropdown"><a href="downloads.html">Files and Libraries</a></li>
            </ol>

            <h1 class="page-header">Files and Libraries</h1>

            <h3 id="artifact_c_client_library">C Client Library</h3>
            <p class="lead">Created February 24, 2021</p>
            <p>
            <p>
                The C module generates the source code for the ANSI-C-compatible data structures and (de)serialization
                functions that can be used in conjunction with <a href="http://xmlsoft.org/">libxml2</a> to
                (de)serialize
                the REST resources as they are represented as XML data.
            </p>

            <p>
                The generated C source code depends on the <a href="http://xmlsoft.org/html/libxml-xmlreader.html">XML
                Reader API</a>
                and the <a href="http://xmlsoft.org/html/libxml-xmlwriter.html">XML Writer API</a> as well as the <code>&lt;time.h&gt;</code>,
                <code>&lt;string.h&gt;</code>, and <code>&lt;stdlib.h&gt;</code> C standard libraries.
            </p>

            </p>
            <table class="table table-hover downloadfiles">
                <caption>Files</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>size</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody data-link="row" class="rowlink">
                <tr class="clickable-row" data-href="task-manager-client.c">
                    <td><span class="downloadfile-name">task-manager-client.c</span></td>
                    <td><span class="downloadfile-size">349,66K</span></td>
                    <td><span class="downloadfile-description"><p>
  The C module generates the source code for the ANSI-C-compatible data structures and (de)serialization
  functions that can be used in conjunction with <a href="http://xmlsoft.org/">libxml2</a> to (de)serialize
  the REST resources as they are represented as XML data.
</p>

<p>
  The generated C source code depends on the <a href="http://xmlsoft.org/html/libxml-xmlreader.html">XML Reader API</a>
  and the <a
        href="http://xmlsoft.org/html/libxml-xmlwriter.html">XML Writer API</a> as well as the <code>&lt;time.h&gt;</code>,
  <code>&lt;string.h&gt;</code>, and <code>&lt;stdlib.h&gt;</code> C standard libraries.
</p>

</span></td>
                </tr>
                <tr class="clickable-row" data-href="enunciate-common.c">
                    <td><span class="downloadfile-name">enunciate-common.c</span></td>
                    <td><span class="downloadfile-size">39,68K</span></td>
                    <td><span class="downloadfile-description">Common code needed for all projects.</span></td>
                </tr>
                </tbody>
            </table>
            <h3 id="artifact_csharp_client_library">C# Client Library</h3>
            <p class="lead">Created February 24, 2021</p>
            <p>
            <p>
                The C# client-side library may be used to access the SOAP API for this application via the C# runtime.
            </p>

            <div class="panel panel-default">
                <div class="panel-heading">C# Service Example</div>
                <div class="panel-body">
    <pre class="prettyprint lang-java">
//instantiate a new service...
ProjectEndpoint service = new ProjectEndpoint();

//make the remote call...
result = service.RemoveProjectById(session, id);

//handle the result as needed...
    </pre>
                </div>
            </div>
            </p>
            <table class="table table-hover downloadfiles">
                <caption>Files</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>size</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody data-link="row" class="rowlink">
                <tr class="clickable-row" data-href="task-manager-client-csharp-xml-client.zip">
                    <td><span class="downloadfile-name">task-manager-client-csharp-xml-client.zip</span></td>
                    <td><span class="downloadfile-size">4,44K</span></td>
                    <td><span class="downloadfile-description">The C# source code for the C# client library.</span></td>
                </tr>
                </tbody>
            </table>
            <h3 id="artifact_java_xml_client_library">Java XML Client Library</h3>
            <p class="lead">Created February 24, 2021</p>
            <p>
            <p>
                The Java client-side library is used to access the Web service API for this application using Java.
            </p>

            <p>
                The Java client-side library uses <a href="https://jax-ws.dev.java.net/">JAX-WS</a> to access the SOAP
                API
                for this application.
            </p>

            <div class="panel panel-default">
                <div class="panel-heading">JAX-WS Example</div>
                <div class="panel-body">
    <pre class="prettyprint lang-java">
// instantiate a new service with an impl
// (or through dependency injection, or whatever)...
ProjectEndpoint service = new ProjectEndpoint();

//make the remote call to read the result...
result = service.removeProjectById(session, id);

//handle the result as needed...
    </pre>
                </div>
            </div>

            </p>
            <table class="table table-hover downloadfiles">
                <caption>Files</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>size</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody data-link="row" class="rowlink">
                <tr class="clickable-row" data-href="task-manager-client-xml-client.jar">
                    <td><span class="downloadfile-name">task-manager-client-xml-client.jar</span></td>
                    <td><span class="downloadfile-size">88,88K</span></td>
                    <td><span class="downloadfile-description">The binaries for the Java XML client library.</span></td>
                </tr>
                <tr class="clickable-row" data-href="task-manager-client-xml-client-xml-sources.jar">
                    <td><span class="downloadfile-name">task-manager-client-xml-client-xml-sources.jar</span></td>
                    <td><span class="downloadfile-size">78,71K</span></td>
                    <td><span class="downloadfile-description">The sources for the Java XML client library.</span></td>
                </tr>
                </tbody>
            </table>
            <h3 id="artifact_ns0_wsdl">ns0.wsdl</h3>
            <p class="lead">Created February 24, 2021</p>
            <table class="table table-hover downloadfiles">
                <caption>Files</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>size</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody data-link="row" class="rowlink">
                <tr class="clickable-row" data-href="ns0.wsdl">
                    <td><span class="downloadfile-name">ns0.wsdl</span></td>
                    <td><span class="downloadfile-size">48,46K</span></td>
                    <td><span class="downloadfile-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>
            <h3 id="artifact_ns0_xsd">ns0.xsd</h3>
            <p class="lead">Created February 24, 2021</p>
            <table class="table table-hover downloadfiles">
                <caption>Files</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>size</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody data-link="row" class="rowlink">
                <tr class="clickable-row" data-href="ns0.xsd">
                    <td><span class="downloadfile-name">ns0.xsd</span></td>
                    <td><span class="downloadfile-size">77,18K</span></td>
                    <td><span class="downloadfile-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>
            <h3 id="artifact_objc_client_library">Objective C Client Library</h3>
            <p class="lead">Created February 24, 2021</p>
            <p>
            <p>
                The Objective C module generates the source code for the Objective C classes and (de)serialization
                functions that can be used in conjunction with <a href="http://xmlsoft.org/">libxml2</a> to
                (de)serialize
                the REST resources as they are represented as XML data.
            </p>

            <p>
                The generated Objective C source code depends on the <a
                    href="http://xmlsoft.org/html/libxml-xmlreader.html">XML Reader API</a>
                and the <a href="http://xmlsoft.org/html/libxml-xmlwriter.html">XML Writer API</a> as well as the base
                OpenStep foundation classes.
            </p>

            </p>
            <table class="table table-hover downloadfiles">
                <caption>Files</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>size</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody data-link="row" class="rowlink">
                <tr class="clickable-row" data-href="task-manager-client.h">
                    <td><span class="downloadfile-name">task-manager-client.h</span></td>
                    <td><span class="downloadfile-size">33,96K</span></td>
                    <td><span class="downloadfile-description"><p>
  The Objective C module generates the source code for the Objective C classes and (de)serialization
  functions that can be used in conjunction with <a href="http://xmlsoft.org/">libxml2</a> to (de)serialize
  the REST resources as they are represented as XML data.
</p>

<p>
  The generated Objective C source code depends on the <a href="http://xmlsoft.org/html/libxml-xmlreader.html">XML Reader API</a>
  and the <a href="http://xmlsoft.org/html/libxml-xmlwriter.html">XML Writer API</a> as well as the base OpenStep foundation classes.
</p>

</span></td>
                </tr>
                <tr class="clickable-row" data-href="task-manager-client.m">
                    <td><span class="downloadfile-name">task-manager-client.m</span></td>
                    <td><span class="downloadfile-size">275,42K</span></td>
                    <td><span class="downloadfile-description"><p>
  The Objective C module generates the source code for the Objective C classes and (de)serialization
  functions that can be used in conjunction with <a href="http://xmlsoft.org/">libxml2</a> to (de)serialize
  the REST resources as they are represented as XML data.
</p>

<p>
  The generated Objective C source code depends on the <a href="http://xmlsoft.org/html/libxml-xmlreader.html">XML Reader API</a>
  and the <a href="http://xmlsoft.org/html/libxml-xmlwriter.html">XML Writer API</a> as well as the base OpenStep foundation classes.
</p>

</span></td>
                </tr>
                <tr class="clickable-row" data-href="enunciate-common.h">
                    <td><span class="downloadfile-name">enunciate-common.h</span></td>
                    <td><span class="downloadfile-size">12,83K</span></td>
                    <td><span class="downloadfile-description">Common header needed for all projects.</span></td>
                </tr>
                <tr class="clickable-row" data-href="enunciate-common.m">
                    <td><span class="downloadfile-name">enunciate-common.m</span></td>
                    <td><span class="downloadfile-size">42,34K</span></td>
                    <td><span
                            class="downloadfile-description">Common implementation code needed for all projects.</span>
                    </td>
                </tr>
                </tbody>
            </table>
            <h3 id="artifact_php_xml_client_library">PHP XML Client Library</h3>
            <p class="lead">Created February 24, 2021</p>
            <p>
            <p>
                The PHP client-side library defines the PHP classes that can be (de)serialized to/from XML.
                This is useful for accessing the resources that are published by this application, but only
                those that produce a XML representation of their resources.
            </p>

            <p>
                This library leverages the <a href="http://php.net/manual/en/book.xmlreader.php">XMLReader</a> and
                <a href="http://php.net/manual/en/book.xmlwriter.php">XMLWriter</a> tools that were included in PHP
                versions 5.1.0+.
            </p>

            </p>
            <table class="table table-hover downloadfiles">
                <caption>Files</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>size</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody data-link="row" class="rowlink">
                <tr class="clickable-row" data-href="task-manager-client-php-xml-client-php.zip">
                    <td><span class="downloadfile-name">task-manager-client-php-xml-client-php.zip</span></td>
                    <td><span class="downloadfile-size">5,25K</span></td>
                    <td><span class="downloadfile-description"><p>
  The PHP client-side library defines the PHP classes that can be (de)serialized to/from XML.
  This is useful for accessing the resources that are published by this application, but only
  those that produce a XML representation of their resources.
</p>

<p>
  This library leverages the <a href="http://php.net/manual/en/book.xmlreader.php">XMLReader</a> and
  <a href="http://php.net/manual/en/book.xmlwriter.php">XMLWriter</a> tools that were included in PHP
  versions 5.1.0+.
</p>

</span></td>
                </tr>
                </tbody>
            </table>

            <footer class="footer">
                <div class="container">
                    <p class="text-muted">Generated by <a href="http://enunciate.webcohesion.com">Enunciate</a>.</p>
                </div>
            </footer>

        </div>
    </div>
</div>


<!-- JavaScript placed at the end of the document so the pages load faster. -->
<script src="https://code.jquery.com/jquery-1.12.2.min.js"></script>

<!-- Bootstrap core JavaScript
================================================== -->
<script src="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

<!-- prettify code blocks. see http://code.google.com/p/google-code-prettify/ -->
<script src="https://cdn.jsdelivr.net/gh/google/code-prettify@master/loader/run_prettify.js"
        type="text/javascript"></script>
<script>
    $(function() {
      $(".clickable-row").click(function() {
        window.document.location = $(this).data("href");
      });

      $('[data-toggle="tooltip"]').tooltip()
    });

</script>

</body>
</html>
